## audiokaraoke audiokaraoke |

## Properties

gfloat | filter-band | Read / Write
gfloat | filter-width | Read / Write
gfloat | level | Read / Write
gfloat | mono-level | Read / Write

## Types and Values

struct | GstAudioKaraoke

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseTransform
                        ╰── GstAudioFilter
                            ╰── GstAudioKaraoke

## Description

Remove the voice from audio by filtering the center channel. This plugin is useful for karaoke applications.

### Example launch line

    1
    gst-launch-1.0 filesrc location=song.ogg ! oggdemux ! vorbisdec ! audiokaraoke ! audioconvert ! alsasink

## Synopsis

### Element Information

plugin | audiofx
author | Wim Taymans <wim.taymans@gmail.com>
class | Filter/Effect/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw, format=(string){ S16LE, F32LE }, rate=(int)[ 1, 2147483647 ], channels=(int)2, channel-mask=(bitmask)0x0000000000000003, layout=(string)interleaved

name | src
direction | source
presence | always
details | audio/x-raw, format=(string){ S16LE, F32LE }, rate=(int)[ 1, 2147483647 ], channels=(int)2, channel-mask=(bitmask)0x0000000000000003, layout=(string)interleaved

## Functions

## Types and Values

### struct GstAudioKaraoke

    struct GstAudioKaraoke;

## Property Details

### The `“filter-band”` property

      “filter-band”              gfloat

The Frequency band of the filter.

Flags: Read / Write

Allowed values: [0,441]

Default value: 220

### The `“filter-width”` property

      “filter-width”             gfloat

The Frequency width of the filter.

Flags: Read / Write

Allowed values: [0,100]

Default value: 100

### The `“level”` property

      “level”                    gfloat

Level of the effect (1.0 = full).

Flags: Read / Write

Allowed values: [0,1]

Default value: 1

### The `“mono-level”` property

      “mono-level”               gfloat

Level of the mono channel (1.0 = full).

Flags: Read / Write

Allowed values: [0,1]

Default value: 1